Ubuntu 8.10 Firefox 輸入框過長 [論壇 - Ubuntu 與工具程式及軟體推薦]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊

« 1 2 3 4 (5) 6 »


回覆: Ubuntu 8.10 Firefox 輸入框過長
會員二級
註冊日期:
2008/11/7 18:36
所屬群組:
已註冊使用者
等級: 6
HP : 0 / 143
MP : 20 / 5848
EXP: 75
離線
訪客 寫到:
sudo apt-get install libx11-dev

我的還有這個, 也順便裝上, 省的麻煩
sudo apt-get install libcairo2-dev



sudo apt-get install libx11-dev 時 出現以下
libx11-dev:
Depends: libx11-6 (=2:1.1.5-2ubuntu1) but 2:1.1.5-2ubuntu1.1 is to be installed
Depends: x11proto-input-dev but it is not going to be installed

sudo apt-get install libcairo2-dev時 出現以下

libcairo2-dev:
Depends: libcairo2 (=1.8.0-0ubuntu1) but 1.8.0-0ubuntu1.1 is to be installed
Depends: libxrender-dev but it is not going to be installed

之後 還是出現 之前的那個訊息

不過還是謝謝你

2009/1/2 23:28
應用擴展 工具箱
訪客
回覆: Ubuntu 8.10 Firefox 輸入框過長
Anon:訪客
那就祭出pcman版主教的必殺密技

dpkg -l | grep pango
查出 pango 在 ubuntu 的套件姓名叫
libpango1.0-0 跟 libpango1.0-common

然後pcman版主說它們是ubuntu的套件
就這樣安裝編譯所需函數
sudo apt-get build-dep libpango1.0-0 libpango1.0-common

再接再厲, 我把版主都請出來, 這次準成

2009/1/2 23:49 | 822a4 af1ee 7baf8 db115
應用擴展 工具箱
訪客
回覆: Ubuntu 8.10 Firefox 輸入框過長
Anon:訪客
> Depends: libx11-6 (=2:1.1.5-2ubuntu1) but 2:1.1.5-2ubuntu1.1 is to be installed
Depends: x11proto-input-dev but it is not going to be installed

> Depends: libcairo2 (=1.8.0-0ubuntu1) but 1.8.0-0ubuntu1.1 is to be installed
Depends: libxrender-dev but it is not going to be installed

糟糕了, 看來你之前的套件來源跟本站的打架
怪了, 你那個源為啥連最基本的 libgtk2.0-dev 也沒有
why???

2009/1/2 23:56 | 822a4 af1ee 7baf8 db115
應用擴展 工具箱
回覆: Ubuntu 8.10 Firefox 輸入框過長
會員二級
註冊日期:
2008/11/7 18:36
所屬群組:
已註冊使用者
等級: 6
HP : 0 / 143
MP : 20 / 5848
EXP: 75
離線
訪客 寫到:
那就祭出pcman版主教的必殺密技.......

套件源與本站衝.........


$ dpkg -l | grep pango 出現以下

ii libpango1.0-0 1.22.2-0ubuntu1 Layout and rendering of internationalized text
ii libpango1.0-common 1.22.2-0ubuntu1 Modules and configuration files for the Pango
ii libpangomm-1.4-1 2.14.0-1 C++ Wrapper for pango (shared libraries)

$ sudo apt-get build-dep libpango1.0-0 libpango1.0-common 出現以下

Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Build-dependencies for libpango1.0-0 could not be satisfied.

我也很覺得很奇怪 其他人裝就OK 我就 ......出現一堆"系統抱怨"

libgtk2.0-dev 要裝 套件庫也不給我裝 .......

這跟我 每3天都會執行一次 apt-get autoremove 有關嗎?


重灌一次會比較好嗎? 如果不會的話

或者 我不更新pango了

直接撐到9.04出來好了

感謝大大們的幫忙

2009/1/3 0:11
應用擴展 工具箱
訪客
回覆: Ubuntu 8.10 Firefox 輸入框過長
Anon:訪客
仔細看你的源, 你還是恢復你原來的sources.list
像我下面貼的把一些#號拿掉, sudo apt-get update
再玩一次看看

deb http://ftp.twaren.net/Linux/Ubuntu/ubuntu/ intrepid main universe restricted multiverse #國網中心Ubuntu套件庫
deb-src http://ftp.twaren.net/Linux/Ubuntu/ubuntu/ intrepid main universe restricted multiverse #國網中心Ubuntu套件庫(源碼)

deb http://security.ubuntu.com/ubuntu/ intrepid-security universe main multiverse restricted #Ubuntu安全更新套件庫
deb-src http://security.ubuntu.com/ubuntu/ intrepid-security universe main multiverse restricted #Ubuntu安全更新套件庫(源碼)

deb http://ftp.twaren.net/Linux/Ubuntu/ubuntu/ intrepid-updates universe main multiverse restricted #國網中心Ubuntu升級用套件庫
deb-src http://ftp.twaren.net/Linux/Ubuntu/ubuntu/ intrepid-updates universe main multiverse restricted #國網中心Ubuntu升級用套件庫(源碼)
deb http://packages.medibuntu.org/ intrepid free non-free

# deb http://repository.cairo-dock.org/ubuntu hardy cairo-dock

# deb http://ppa.launchpad.net/openoffice-pkgs/ubuntu intrepid main #openoffice3.0
deb http://us.archive.ubuntu.com/ubuntu/ intrepid main universe restricted multiverse #地區性伺服器 (Lazybuntu 新增)
deb-src http://us.archive.ubuntu.com/ubuntu/ intrepid main universe restricted multiverse #地區性伺服器 (Lazybuntu 新增)
# deb http://packages.medibuntu.org/ intrepid free non-free #Medibuntu Install Source (Lazybuntu 新增)
deb http://packages.medibuntu.org/ intrepid free non-free #Medibuntu Install Source (Lazybuntu 新增)
# deb-src http://ppa.launchpad.net/openoffice-pkgs/ubuntu intrepid main #openoffice3.0

2009/1/3 0:15 | 822a4 af1ee 7baf8 db115
應用擴展 工具箱
回覆: Ubuntu 8.10 Firefox 輸入框過長
會員二級
註冊日期:
2008/11/7 18:36
所屬群組:
已註冊使用者
等級: 6
HP : 0 / 143
MP : 20 / 5848
EXP: 75
離線
訪客 寫到:
仔細看你的源, 你還是恢復你原來的sources.list
像我下面貼的把一些#號拿掉, sudo apt-get update
再玩一次看看


感謝樓上幾位訪客大大的幫忙 pango更新成功

p.s. 我的source源 原前面就被加了#註解掉了
這跟我把語系從"中文"改到"英文"的關係嗎??

我系統->管理->軟體來源 的download from
那欄原本是 server for u.s.

謝謝 終於搞定了~ 開心開心~

2009/1/3 0:38
應用擴展 工具箱
訪客
回覆: Ubuntu 8.10 Firefox 輸入框過長
Anon:訪客
是我的錯, 沒仔細看你貼的souces.list就亂貼本站的源
hepha大大有看出來了, 辛苦半天, 是我太粗枝大葉造成的
慚愧, 你辛苦貼上的我沒仔細去看, 該去罰站5秒鐘
這就去面壁思過去

2009/1/3 0:44 | 822a4 af1ee 7baf8 db115
應用擴展 工具箱
訪客
回覆: Ubuntu 8.10 Firefox 輸入框過長
Anon:訪客
sh autogen.sh --prefix=/usr
應該要
sh autogen.sh --prefix=/usr --sysconfdir=/etc
不然 /etc/pango 會被裝到 /usr/etc/pango

2009/1/8 22:39 | 4606a bb85d fabc5 7b5ed
應用擴展 工具箱
訪客
回覆: Ubuntu 8.10 Firefox 輸入框過長
Anon:訪客
pango 1.22.2 跟 1.22.4 版本差不多
借用 ubuntu 的 source 裡的 debian 目錄來編譯試試

apt-get source libpango1.0-0
檢查一下 pango1.0-1.22.2/debian/patch 裡面的資料
=>很好, 可以用
wget http://ftp.gnome.org/pub/GNOME/sources/pango/1.22/pango-1.22.4.tar.gz
tar zxvf pango-1.22.4.tar.gz
cp -a pango1.0-1.22.2/debian pango-1.22.4/
cd pango-1.22.4/
grep -rl "1.22.2" debian/ | xargs -i sed -i -e "s/1.22.2/1.22.4/g" {}
sudo apt-get install build-essential fakeroot
sudo apt-get build-dep libpango1.0-0
dpkg-buildpackage -rfakeroot
上層目錄生出
libpango1.0-0_1.22.4-0ubuntu1_i386.deb
libpango1.0-0-dbg_1.22.4-0ubuntu1_i386.deb
libpango1.0-common_1.22.4-0ubuntu1_all.deb
libpango1.0-dev_1.22.4-0ubuntu1_i386.deb
libpango1.0-doc_1.22.4-0ubuntu1_all.deb
安裝
cd ..
sudo dpkg -i libpango1.0*.deb

打開 frocefox 驗收...粉美滿

收工

2009/1/9 18:35 | caa76 1c331 fb490 79a59
應用擴展 工具箱
訪客
回覆: Ubuntu 8.10 Firefox 輸入框過長
Anon:訪客
剛剛重灌 ubuntu 8.10
自己照上面編譯的, 順便提供下載:

libpango1.0-0_1.22.4-0ubuntu1_i386.deb
http://www.mediafire.com/download.php?dmimxdklmdz

libpango1.0-common_1.22.4-0ubuntu1_all.deb
http://www.mediafire.com/download.php?gygzynwozhn

下面的可不裝

(這個是編譯軟體用的)
libpango1.0-dev_1.22.4-0ubuntu1_i386.deb
http://www.mediafire.com/download.php?mk3zaxceoin

libpango1.0-doc_1.22.4-0ubuntu1_all.deb
http://www.mediafire.com/download.php?knmdgnyj01y

libpango1.0-0-dbg_1.22.4-0ubuntu1_i386.deb
http://www.mediafire.com/download.php?2ymvqvm32nu

2009/1/17 16:36 | f7e24 47672 78c3c a00e7
應用擴展 工具箱

« 1 2 3 4 (5) 6 »

 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.